org.apache.tinkerpop.gremlin.spark.structure.io.gryo.kryoshim.unshaded

## Class UnshadedOutputAdapter

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.structure.io.gryo.kryoshim.unshaded.UnshadedOutputAdapter

- All Implemented Interfaces:
    OutputShim

      public class UnshadedOutputAdapter
      extends Object
      implements OutputShim

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnshadedOutputAdapter(Output unshadedOutput)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush()`
    `void` | `writeBoolean(boolean b)`
    `void` | `writeByte(byte b)`
    `void` | `writeBytes(byte[] array, int offset, int count)`
    `void` | `writeDouble(double d)`
    `void` | `writeInt(int i)`
    `void` | `writeLong(long l)`
    `void` | `writeShort(int s)`
    `void` | `writeString(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnshadedOutputAdapter

          public UnshadedOutputAdapter(Output unshadedOutput)

  - ### Method Detail

    - #### writeByte

          public void writeByte(byte b)

      Specified by:
        `writeByte` in interface `OutputShim`

    - #### writeBytes

          public void writeBytes(byte[] array,
                                 int offset,
                                 int count)

      Specified by:
        `writeBytes` in interface `OutputShim`

    - #### writeShort

          public void writeShort(int s)

      Specified by:
        `writeShort` in interface `OutputShim`

    - #### writeString

          public void writeString(String s)

      Specified by:
        `writeString` in interface `OutputShim`

    - #### writeLong

          public void writeLong(long l)

      Specified by:
        `writeLong` in interface `OutputShim`

    - #### writeInt

          public void writeInt(int i)

      Specified by:
        `writeInt` in interface `OutputShim`

    - #### writeDouble

          public void writeDouble(double d)

      Specified by:
        `writeDouble` in interface `OutputShim`

    - #### writeBoolean

          public void writeBoolean(boolean b)

      Specified by:
        `writeBoolean` in interface `OutputShim`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `OutputShim`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.